%Nahrajte si wavy ovcaci-housle.wav a ovcaci-zobcova.wav, zobrazte jejich spektrogramy a dle
%zobrazte amplitudov spektra z prvn sekundy tchto hudebnch signl.

clear all;
close all;

subplot(2,2,1);
[hudba,Fs] = wavread('ovcaci-housle.wav');

[B,f,t] = spectrogram (hudba, hamming(256), 0, 256, Fs);
imagesc(t,f,20*log10(abs(B))), axis xy, colormap (hot);

pisnicka = hudba(1:0.5*Fs);
subplot(2,2,2);
X=fft(pisnicka); %algoritmus FFT pro vpoet DFT
Fs2 = Fs / 2;
f = 0 : (Fs2/2 -1);
stem(f*2, abs(X(1:Fs2/2))/Fs2); %amplitudov spektrum


subplot(2,2,3);
[hudba,Fs] = wavread('ovcaci-zobcova.wav');

[B,f,t] = spectrogram (hudba, hamming(256), 0, 256, Fs);
imagesc(t,f,20*log10(abs(B))), axis xy, colormap (hot);

pisnicka = hudba(1:0.5*Fs);
subplot(2,2,4);
X=fft(pisnicka); %algoritmus FFT pro vpoet DFT
Fs2 = Fs / 2;
f = 0 : (Fs2/2 - 1);
stem(f*2, abs(X(1:Fs2/2))/Fs2); %amplitudov spektrum
