% SINGEN.M - vygeneruje sin. signal o frek. 100 Hz o delce 1 sekunda
% ukazkovy program pro 1.cviceni predmetu Signaly
%-------------------------------------------------------------


echo on

%nejprve vygeneruj casovou osu se vzorkovaci frekvenci Fs = 8000 Hz
Fs = 8000;
t=0:1/Fs:(1-1/Fs);

pause % stiskni klavesu

%nyni vygeneruj sinusovku s danou frekvenci
ton = sin(2*pi*100*t);

pause % stiskni klavesu

%vykresli vcetne spravneho meritka na cas. ose
plot (t, ton)
xlabel ('Cas v sekundach')
ylabel ('Amplituda')

pause % stiskni klavesu

%prehraj
sound (ton)

pause % stiskni klavesu

%vykresli pouze prvnich 0.2 sekundy
delka = Fs*0.2;
plot (t(1:delka), ton(1:delka))

echo off
