% SINSPEC.M -vygeneruje sinusovy signal a zobrazi jeho spektrum
% ukazokovy program pro 1.cviceni predmetu Signaly
%-------------------------------------------------------------


echo on

%nejprve vygeneruj casovou osu se vzorkovaci frekvenci Fs = 8000 Hz
Fs = 8000;
t=0:1/Fs:1;

%nyni vygeneruj sinusovku s danou frekvenci
ton = sin(2*pi*100*t);

%vykresli pouze prvnich 0.1 sekundy
delka = Fs*0.1;
plot (t(1:delka), ton(1:delka))


%uloz prvni 0.1 sekundy do noveho vektoru
ton1 = ton(1:Fs*0.1);

%spocitej FFT pro tento usek
delkafft = 4096;
fton1 = fft(ton1,delkafft);

%vygeneruj frekvencni osu
pol = delkafft/2;
frosa = (0:pol-1)/pol*Fs/2;
plot (frosa, abs(fton1(1:pol)))
title ('Spectrum signalu')
xlabel ('frekvence - Hz')
ylabel ('amplituda')

pause % po stisku se vykresli frekvence pouze v pasmu do 200 Hz

%zobraz pouze dolni kmitoctove pasmo
pocet = round(200*delkafft/Fs)
frosa = (0:pocet-1)/pol*Fs/2;
plot (frosa, abs(fton1(1:pocet)))
title ('Spectrum signalu')
xlabel ('frekvence - Hz')
ylabel ('amplituda')

echo off

