% snizeni vzorkovaci frekvence a rozliseni (pocet bitu)
clear all;
close all;
%echo off;
%clc;
echo on;

[a,Fs,NBITS]=wavread('signal.wav');
N=size(a);
p= 1:N; %pomocna promena pro vykreslovani
subplot(3,1,1); stem(p(2000:2080),a(2000:2080),'b.-')% vykresleni 10ms signalu
sound(a, Fs); 
pause(2);

%zmena vzorkovaci frekvence z 8kHz na 2kHz
echo off
for i= 4:4:N,  %i od 4 do N s krokem 4 - kazdy 4 vzorek
   j=int32(i/4);%j je cele cislo odpovidajici indexu vzorku v prevzorkovanem poli
   a2(j)=a(i);
end;
echo on
subplot(3,1,2); stem(p(500:520),a2(500:520),'b.')% vykresleni 10ms signalu
sound(a2,Fs/4);% prehraje signal s danou vzorkovaci frekvenci
pause(2);

%nastaveni rozliseni (pocet bitu)
NBITS2=5; % z 16 na 5 bitu - NBITS ziskano pri nacitani wav souboru

x=2^(NBITS-1)-1;%pocet moznych hodnot
x2=2^(NBITS-NBITS2);
aa=a .* x;% z rozsahu -1 : 1 do rozsahu -16 : 15
aa=aa ./ x2;% vydelit poctem bitu, o ktere prijdeme
aa=round(aa);%zaokrouhleni 
aa=aa .* x2;
aa=aa ./ x;

aa=aa+(max(a)-max(aa))/2;% nastaveni offsetu

subplot(3,1,3); 
stem(p(2000:2080),aa(2000:2080),'r.-')% vykresleni 10ms signalu
%plot (p(2000:2080),aa(2000:2080),'r.-', p(2000:2080),a(2000:2080),'b.-')% oba signaly vjednom grafu
sound(aa, Fs);


