close all
echo off 
clear all


I = rgb2gray(imread('obr.bmp'));
subplot(1,3,1); 
imshow(I); title('Original Image');


H = fspecial('sobel');
sobel=conv2(I,H);
%sobel = imfilter(I,H,'replicate');
subplot(1,3,2); 
imshow(uint8(sobel)); title('Sobel');

H = fspecial('average');
average=conv2(I,H);
%average = imfilter(I,H,'replicate');
subplot(1,3,3); 
imshow(uint8(average)); title('Average');




fs=8000;
t=0:1/fs:1;


x = cos(2*pi*250*t) + cos(2*pi*2000*t) + cos(2*pi*3750*t);

figure;
X=fft(x); %algoritmus FFT pro vpoet DFT
Fs2 = fs / 2;
f = 0 : (Fs2-1);
subplot(3,1,1);
stem(f, abs(X(1:Fs2))/Fs2); title('Original');

z=conv(x,[1 -0.7])
subplot(3,1,2);

X=fft(z); %algoritmus FFT pro vpoet DFT
Fs2 = fs / 2;
f = 0 : (Fs2-1);
stem(f, abs(X(1:Fs2))/Fs2); title('Horn Propust (HP)');


z=conv(x,[ 0.4 0.3 0.2 0.1])
subplot(3,1,3);

X=fft(z); %algoritmus FFT pro vpoet DFT
Fs2 = fs / 2;
f = 0 : (Fs2-1);
stem(f, abs(X(1:Fs2))/Fs2); title('Doln Propust (DP)');



