clear all;
close all;

echo off;

b=[0.3 1.2 -3 4];

c=[1 0 0 0 0 0 ];

hc=conv(b,c);
subplot(4,2,1);
stem(hc); title('Impulzn odezva');

x=[1 2 3 2 1];
h=[4 3 2 1];

hx=conv(h,x);

subplot(4,2,2);
stem(hx); title('Konvoluce signlu x');

Fs = 8000;
t=0:1/Fs:1-1/Fs;
kos=t.*0;
for n=(1:10:4000)
    kos=cos(2*pi*n*t)+kos;
end;
subplot(4,2,3);
plot(kos); title('Suma kosinusovek');

X=fft(kos); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(4,2,4);
stem(f, abs(X(1:Fs2))/Fs2); title('Pvodn');

[N, Wn] = buttord([900/(Fs/2) 2100/(Fs/2)], [1000/(Fs/2) 2000/(Fs/2)], 3, 30);
[B,A] = butter(N,Wn,'stop');
y = filter (B, A, kos);

X=fft(y); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(4,2,5);
stem(f, abs(X(1:Fs2))/Fs2); title('Filtrovan PZ');

[N, Wn] = buttord([900/(Fs/2) 2100/(Fs/2)], [1000/(Fs/2) 2000/(Fs/2)], 3, 30);
[B,A] = butter(N,Wn);
y = filter (B, A, kos);

X=fft(y); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(4,2,6);
stem(f, abs(X(1:Fs2))/Fs2); title('Filtrovan PP');

[N, Wn] = buttord(900/(Fs/2), 1000/(Fs/2), 3, 30);
[B,A] = butter(N,Wn);
y = filter (B, A, kos);

X=fft(y); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(4,2,7);
stem(f, abs(X(1:Fs2))/Fs2); title('Filtrovan DP');

[N, Wn] = buttord(2000/(Fs/2), 2100/(Fs/2), 3, 30);
[B,A] = butter(N,Wn,'high');
y = filter (B, A, kos);

X=fft(y); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(4,2,8);
stem(f, abs(X(1:Fs2))/Fs2); title('Filtrovan HP');

