close all;
clear all;
echo off;

a=3;
b=1;
mn=1;
Fs = 10000;
t = 0:1/Fs:1.4-1/Fs;

kos=t.*0;

for n=(1:10:4999)
    kos=cos(2*pi*n*t)+kos;
end;



Fc=2000;
Fn=Fc/(Fs/2);


for n=(-5:5)
    h(n+6) = 0.5*sinc (0.5*n);
end;
w=hamming(11);

h=h.*w';
subplot(a,b,mn);
mn=mn+1;
stem(h);

y1 = filter (h, 1, kos);


X=fft(y1); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(a,b,mn);
mn=mn+1;

plot(f, abs(X(1:Fs2))/Fs2);

B = fir1(11, Fn, 'high');
y2 = filter (B, 1, kos);
X=fft(y2); 
Fs2 = Fs / 2;
f = 0 : (Fs2-1);
subplot(a,b,mn);
mn=mn+1;
stem(f, abs(X(1:Fs2))/Fs2);


figure;

freqz(h);
title('DP');


figure;
freqz(B);
title('HP');







